/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\npc\vendor\MLAlchemist.cs
Lines of code: 54
***********************************************************/


using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class MLAlchemist : BaseVendor
	{
		private ArrayList m_SBInfos = new ArrayList();
		protected override ArrayList SBInfos{ get { return m_SBInfos; } }


		[Constructable]
		public MLAlchemist() : base( "the alchemist" )
		{
			SetSkill( SkillName.Alchemy, 85.0, 100.0 );
			SetSkill( SkillName.TasteID, 65.0, 88.0 );
			
			Race=Race.Elf;
			
			if(Female) {
				BodyValue=606;
				HairItemID = Utility.RandomList(12224, 12225, 12226, 12236, 12238, 12239, 12240, 12241);
			}
			else {
				BodyValue=605;
				HairItemID = Utility.RandomList(12223, 12224, 12225, 12226, 12237, 12238, 12239, 12241, 12242);
			}	
			
			Hue = Utility.RandomList(34668, 34869, 33840, 33357, 33358, 33359, 32959, 33959, 33633, 33653, 33639, 33768, 33758, 33619, 35075, 34669, 33668, 34169, 33769, 33652, 33673, 33669, 33654, 34111, 33665, 33666, 33667, 33668, 34667, 33765, 34077, 33766);
			HairHue = Utility.RandomList(347, 348, 349, 350, 445, 1829, 88, 296, 303, 52, 53, 54, 55, 56, 57, 257, 1720, 519, 529, 620, 707, 346, 713, 484, 569, 873, 1437, 2131, 142, 143, 144, 145, 146, 345);		
		}

		public override void InitSBInfo()
		{
			m_SBInfos.Add( new SBAlchemist() ); 
		}

		public override void InitOutfit()
		{
			if(Female){
				AddItem( new Server.Items.FemaleElvenRobe( Utility.RandomBlueHue() ) );
			}
			else {
				AddItem( new Server.Items.MaleElvenRobe( Utility.RandomBlueHue() ) );
			}
		}

		public MLAlchemist( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}